import os
from os import isatty, listdir, getcwd
from os.path import join, basename, splitext
from glob import glob

path = '.\\all_graphs_sorted\\'

if __name__ == '__main__':
        for filename in glob(join(path, '*.dzn')):
            print(filename)
            num_edges = 0
            with open(filename, 'r') as inp:
                for line in inp.readlines():
                    line = line.split()
                    if line[0] == 'n':
                        n = line[2]
                        if len(n) == 3:
                            num_edges = n[0] + n[1]
                        elif len(n) == 2:
                            #add leading zero
                            num_edges = "0" + n[0]
                        else:
                            print("I AM CONFUSED!")
            os.rename(filename, path + str(num_edges) + "_" + splitext(basename(filename))[0] + ".dzn")