from os.path import join, basename, splitext
from glob import glob

if __name__ == '__main__':
    with open("num_graphs_per_size.txt", 'w') as out:
        counter = 0
        graphSize = 2
        for filename in glob(join(".\\input_data\\all_graphs_sorted", '*.dzn')):
            size = int(splitext(basename(filename))[0][:2])
            if size == graphSize:
                counter += 1
            else:
                out.write(str(graphSize) + ": " + str(counter) + "\n")
                counter = 1
                graphSize += 1
